std::tr1::integral_constant(3)

NAME
std::tr1::integral_constant -

SYNOPSIS

Inherited by __is_location_invariant, __is_union_or_class, _Has_result_type, extent< _Tp[], _Uint >, has_nothrow_assign, has_nothrow_constructor, has_nothrow_copy, has_trivial_assign, has_trivial_constructor, has_trivial_copy, has_trivial_destructor, has_virtual_destructor, is_abstract, is_arithmetic, is_base_of, is_compound, is_const, is_const < _Tp const >, is_convertible, is_empty, is_function, is_fundamental, is_member_pointer, is_object, is_pod, is_polymorphic, is_reference< _Tp & >, is_same, is_scalar, is_signed, is_unsigned, rank< _Tp[]>, and rank< _Tp[_Size]>.

Detailed Description

  template<typename _Tp, _Tp __v> struct std::tr1::integral_constant< _Tp, __v >

Definition at line 94 of file type_traits.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Static Public Attributes
static const _Tp value

Author

Generated automatically by Doxygen for libstdc++ from the source code.